# $Revision: 1.22.2.2 $, $Date: 2003/04/28 12:51:49 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Data
%define	pnam	ShowTable
Summary:	Perl module to print arrays of data
Summary(pl):	Modu perla Data::ShowTable
Name:		perl-Data-ShowTable
Version:	3.3
Release:	9
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-paths.patch
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl >= 5.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ShowTable.pm is a Perl module which defines subroutines to print
arrays of data in a nicely formatted listing, using one of four
possible formats: simple table, boxed table, list style, and
HTML-formatting (for World-Wide-Web output).

%description -l pl
Data::ShowTable - wywietla dane z tabeli w rnych formatach.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch -p1

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/showtable
%{perl_sitelib}/Data/ShowTable.pm
%{_mandir}/man[13]/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Data-ShowTable.spec,v $
Revision 1.22.2.2  2003/04/28 12:51:49  ankry
- really rel++

Revision 1.22.2.1  2003/03/13 00:56:55  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.22  2003/02/25 00:38:32  radek
- use the __perl macro

Revision 1.21  2003/02/18 15:31:14  ankry
- massive attack: change CPAN URLs

Revision 1.20  2002/11/26 00:13:54  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.19  2002/07/10 08:46:57  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.18  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/02/25 10:30:35  depesz
cleanup; revision++

Revision 1.16  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 14:11:02  depesz
automatic: Source location unfied, Relase Up

Revision 1.14  2002/02/10 15:25:07  depesz
adapterized

Revision 1.13  2002/01/18 02:14:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/28 15:20:15  mis
- buildarch noarch; release++

Revision 1.11  2001/04/17 12:07:42  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2000/12/30 22:11:55  kloczek
- release 4: rebuild agaunst perl 5.6 and use new rpm automation.

Revision 1.8  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:33  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:48  baggins
- translated kloczkish into english

Revision 1.3  1999/12/27 21:02:55  kloczek
- new Summary and %description from Mandrake spec.

Revision 1.2  1999/11/04 21:24:39  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 18:15:15  pius
- initial release
